import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class AgentMerAccountService {

  constructor(private http: HttpClient) { }

  /**
   * 查询账户
   * @param param
   * @param callBack
   */
  public getAccount(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.get(environment.baseUrl + 'agentMerAccount/getAccount?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 充值
   * @param param
   * @param callBack
   */
  public recharge(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'agentMerAccount/recharge', param).subscribe(data => {
      callBack(data);
    });
  }


  /**
   * 查询账户列表
   * @param param
   * @param callBack
   */
  public getMerList(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.get(environment.baseUrl + 'agentMerAccount/getMerList?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }


  /**
   * 查询账户记录列表
   * @param param
   * @param callBack
   */
  public getRecordList(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.get(environment.baseUrl + 'agentMerAccount/getRecordList?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }
}
