import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class AgentMerService {

  constructor(private http: HttpClient) { }

  /**
   * 分配代理商
   * @param param
   * @param callBack
   */
  public assignAgent(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'agentMer/assignAgent', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 解绑代理商
   * @param param
   * @param callBack
   */
  public unbindAgent(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'agentMer/unbindAgent', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 分配工作人员
   * @param param
   * @param callBack
   */
  public assignStaff(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'agentMer/assignStaff', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 解绑业务员
   * @param param
   * @param callBack
   */
  public unbindStaff(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'agentMer/unbindStaff', param).subscribe(data => {
      callBack(data);
    });
  }


  /**
   * 查询分配列表
   * @param param
   * @param callBack
   */
  public getAllotList(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.get(environment.baseUrl + 'agentMer/getAllotList?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

}
