import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class AgentStaffService {

  constructor(private http: HttpClient) { }

  /**
   * 增加业务员
   * @param param
   * @param callBack
   */
  public addStaff(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'agentStaff/addStaff', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 修改业务员
   * @param param
   * @param callBack
   */
  public updateStaff(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'agentStaff/updateStaff', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 删除业务员
   * @param param
   * @param callBack
   */
  public delStaff(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'agentStaff/delStaff', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 业务员密码重置
   * @param param
   * @param callBack
   */
  public staffPwdReset(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'agentStaff/staffPwdReset', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询业务员
   * @param param
   * @param callBack
   */
  public getStaffDetail(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.get(environment.baseUrl + 'agentStaff/getStaffDetail?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询业务员列表
   * @param param
   * @param callBack
   */
  public getStaffList(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.get(environment.baseUrl + 'agentStaff/getStaffList?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }
}
