import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";

@Injectable({
  providedIn: 'root'
})
export class DiscountPkStockService {

  constructor(private http: HttpClient) { }

  /**
   * 增加库存
   * @param params
   * @param callBack
   */
  public edit(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'discountPk/edit', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询库存批次
   * @param params
   * @param callBack
   */
  public queryStockBatchList(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'discountPk/queryStockBatchList', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询库存批次优惠券code
   * @param params
   * @param callBack
   */
  public queryStockBatchCodeList(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'discountPk/queryStockBatchCodeList', params).subscribe(data => {
      callBack(data);
    });
  }
}
