import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class DiscountService {

  constructor(private http: HttpClient) { }

  /**
   * 编辑优惠
   * @param params
   * @param callBack
   */
  public editDiscount(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'discount/editDiscount', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 修改结束时间
   * @param params
   * @param callBack
   */
  public updateEndTime(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'discount/updateEndTime', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 赠送用户
   * @param params
   * @param callBack
   */
  public giveUser(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'discount/giveUser', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 上线
   * @param params
   * @param callBack
   */
  public online(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'discount/online', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 下线
   * @param params
   * @param callBack
   */
  public done(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'discount/done', params).subscribe(data => {
      callBack(data);
    });
  }


  /**
   * 删除
   * @param params
   * @param callBack
   */
  public delete(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'discount/delete', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询详情
   * @param params
   * @param callBack
   */
  public queryDetail(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'discount/queryDetail?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询列表
   * @param params
   * @param callBack
   */
  public queryList(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'discount/queryList?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 编辑可使用油站
   * @param params
   * @param callBack
   */
  public editUseMer(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'discountUseMer/edit', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询列表
   * @param params
   * @param callBack
   */
  public getUseMerList(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'discountUseMer/getUseMerList?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }


}
