import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";

@Injectable({
  providedIn: 'root'
})
export class LoginService {

  constructor(private http: HttpClient) {}

  /**
  * @Author Sum1Dream
  * @Name userLogin
  * @Description // 登录
  * @Date 15:52 2024/4/18
  * @Param params
  * @Param callBack
  */
  public userLogin(params: object, callBack:any) {
    this.http.post(environment.baseUrl + 'secUser/login', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * @Author Sum1Dream
   * @Name loginOut
   * @Description // 退出登录
   * @Date 15:52 2024/4/18
   * @Param callBack
   */
  public loginOut(callBack:any) {
    this.http.post(environment.baseUrl + 'secUser/loginOut', null).subscribe(data => {
      callBack(data);
    });
  }
}
