import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class MerchantAccountService {

  constructor(private http: HttpClient) { }

  /**
   * 充值
   * @param params
   * @param callBack
   */
  public recharge(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'merchantAccount/recharge', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询商户账户列表
   * @param params
   * @param callBack
   */
  public getMerList(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'merchantAccount/getMerList?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }


  /**
   * 查询账户详情
   * @param params
   * @param callBack
   */
  public getAccount(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'merchantAccount/getAccount?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询商户列表
   * @param params
   * @param callBack
   */
  public getRecordList(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'merchantAccount/getRecordList?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }


}
