import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class GasOrderReceiptService {

  constructor(private http: HttpClient) { }

  /**
   * 查询列表
   * @param param
   * @param callBack
   */
  public queryList(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.get(environment.baseUrl + 'gasOrderReceipt/queryReceiptList?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 导出
   * @param param
   * @param callBack
   */
  public export(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.get(environment.baseUrl + 'gasOrderReceipt/export?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 开票成功
   * @param param
   * @param callBack
   */
  public success(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'gasOrderReceipt/success', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 开票失败
   * @param param
   * @param callBack
   */
  public fail(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'gasOrderReceipt/fail', param).subscribe(data => {
      callBack(data);
    });
  }
}
